API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
Справочник API Версия: 1.0.0 6 Точки доступа Аутентификация
Базовый URL
https://pressmonitor.com/api Аутентификация
Все запросы требуют заголовков x-api-key и x-subscription-id. x-api-key аутентифицирует вашу учетную запись; x-subscription-id выбирает подписанный сервис.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/google_search_web Google Search Recherche Web
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
| region | string | query | Нет | Region code |
| safesearch | string | query | Нет | SafeSearch filter |
| timelimit | string | query | Нет | Time limit |
| max_results | integer | query | Нет | Maximum number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/google_search_news Google Search Recherche Actualités
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
| region | string | query | Нет | Region code |
| max_results | integer | query | Нет | Maximum number of results |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/google_search_images Google Search Recherche Images
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
| region | string | query | Нет | Region code |
| safesearch | string | query | Нет | SafeSearch filter |
| timelimit | string | query | Нет | Time limit |
| max_results | integer | query | Нет | Maximum number of results |
| color | string | query | Нет | Color |
| size | string | query | Нет | Size |
| image_type | string | query | Нет | Image type |
| layout | string | query | Нет | Layout |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
| region | string | query | Нет | Region code |
| safesearch | string | query | Нет | SafeSearch filter |
| timelimit | string | query | Нет | Time limit |
| max_results | integer | query | Нет | Maximum number of results |
| resolution | string | query | Нет | Resolution |
| duration | string | query | Нет | Duration |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
GET
/google_search_maps Google Search Recherche Cartes
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| text | string | query | Да | Query text |
| place | string | query | Нет | Place |
| street | string | query | Нет | Street |
| city | string | query | Нет | City |
| state | string | query | Нет | State |
| country | string | query | Нет | Country code |
| postalcode | string | query | Нет | Postalcode |
| latitude | string | query | Нет | Latitude |
| longitude | string | query | Нет | Longitude |
| radius | string | query | Нет | Radius |
Примеры кода
curl -X GET \
"https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" Ответы
200 Success
